Eclipse GEF 3.2

## org.eclipse.gef.ui.actions
Class CopyTemplateAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.CopyTemplateAction

All Implemented Interfaces:
  ISelectionChangedListener

public class CopyTemplateAction
extends WorkbenchPartAction
implements ISelectionChangedListener

Copies the currently selected template in the palatte to the system clipboard.

Constructor Summary
`CopyTemplateAction(IEditorPart editor)` Constructs a new CopyTemplateAction.

Method Summary
`protected boolean` `calculateEnabled()` Returns whether the selected EditPart is a TemplateEditPart.
`void` `dispose()` Disposes the action when it is no longer needed.
`void` `run()` Sets the default `Clipboard's` contents to be the currently selected template.
`void` `selectionChanged(SelectionChangedEvent event)` Sets the selected EditPart and refreshes the enabled state of this action.

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyTemplateAction

    public CopyTemplateAction(IEditorPart editor)

  Constructs a new CopyTemplateAction. You must manually add this action to the palette viewer's list of selection listeners. Otherwise, this action's enabled state won't be updated properly.

Parameters:
  `editor` - the workbench part
See Also:
  `EditorPartAction.EditorPartAction(IEditorPart)`

Method Detail

### calculateEnabled

    protected boolean calculateEnabled()

  Returns whether the selected EditPart is a TemplateEditPart.

  Specified by:
    `calculateEnabled` in class `WorkbenchPartAction`
  Returns:
    whether the selected EditPart is a TemplateEditPart

### dispose

    public void dispose()

  Description copied from class: `WorkbenchPartAction`
  Disposes the action when it is no longer needed.

  Overrides:
    `dispose` in class `WorkbenchPartAction`
  See Also:
    `WorkbenchPartAction.dispose()`

### run

    public void run()

  Sets the default `Clipboard's` contents to be the currently selected template.

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  Sets the selected EditPart and refreshes the enabled state of this action.

  Specified by:
    `selectionChanged` in interface `ISelectionChangedListener`
  See Also:
    `ISelectionChangedListener.selectionChanged(SelectionChangedEvent)`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.